/*
 * This file was generated by qdbusxml2cpp version 0.7
 * Command line was: qdbusxml2cpp -l Oscl::Qt::DBus::BlueZ::Mesh::Node1::Server -i ushortarray.h -i server.h -a adaptor dbus.xml
 *
 * qdbusxml2cpp is Copyright (C) 2015 The Qt Company Ltd.
 *
 * This is an auto-generated file.
 * Do not edit! All changes made to it will be lost.
 */

#include "adaptor.h"
#include <QtCore/QMetaObject>
#include <QtCore/QByteArray>
#include <QtCore/QList>
#include <QtCore/QMap>
#include <QtCore/QString>
#include <QtCore/QStringList>
#include <QtCore/QVariant>

/*
 * Implementation of adaptor class Node1Adaptor
 */

Node1Adaptor::Node1Adaptor(Oscl::Qt::DBus::BlueZ::Mesh::Node1::Server *parent)
    : QDBusAbstractAdaptor(parent)
{
    // constructor
    setAutoRelaySignals(true);
}

Node1Adaptor::~Node1Adaptor()
{
    // destructor
}

Oscl::Qt::DBus::BlueZ::Mesh::Node1::UshortArray Node1Adaptor::addresses() const
{
    // get the value of property Addresses
    return qvariant_cast< Oscl::Qt::DBus::BlueZ::Mesh::Node1::UshortArray >(parent()->property("Addresses"));
}

bool Node1Adaptor::beacon() const
{
    // get the value of property Beacon
    return qvariant_cast< bool >(parent()->property("Beacon"));
}

QVariantMap Node1Adaptor::features() const
{
    // get the value of property Features
    return qvariant_cast< QVariantMap >(parent()->property("Features"));
}

uint Node1Adaptor::ivIndex() const
{
    // get the value of property IvIndex
    return qvariant_cast< uint >(parent()->property("IvIndex"));
}

bool Node1Adaptor::ivUpdate() const
{
    // get the value of property IvUpdate
    return qvariant_cast< bool >(parent()->property("IvUpdate"));
}

uint Node1Adaptor::secondsSinceLastHeard() const
{
    // get the value of property SecondsSinceLastHeard
    return qvariant_cast< uint >(parent()->property("SecondsSinceLastHeard"));
}

uint Node1Adaptor::sequenceNumber() const
{
    // get the value of property SequenceNumber
    return qvariant_cast< uint >(parent()->property("SequenceNumber"));
}

void Node1Adaptor::AddAppKey(const QDBusObjectPath &element_path, ushort destination, ushort app_index, ushort net_index, bool update)
{
    // handle method call org.bluez.mesh.Node1.AddAppKey
    parent()->AddAppKey(element_path, destination, app_index, net_index, update);
}

void Node1Adaptor::AddNetKey(const QDBusObjectPath &element_path, ushort destination, ushort subnet_index, ushort net_index, bool update)
{
    // handle method call org.bluez.mesh.Node1.AddNetKey
    parent()->AddNetKey(element_path, destination, subnet_index, net_index, update);
}

void Node1Adaptor::DevKeySend(const QDBusObjectPath &element_path, ushort destination, bool remote, ushort net_index, const QVariantMap &options, const QByteArray &data)
{
    // handle method call org.bluez.mesh.Node1.DevKeySend
    parent()->DevKeySend(element_path, destination, remote, net_index, options, data);
}

void Node1Adaptor::Publish(const QDBusObjectPath &element_path, ushort model, const QVariantMap &options, const QByteArray &data)
{
    // handle method call org.bluez.mesh.Node1.Publish
    parent()->Publish(element_path, model, options, data);
}

void Node1Adaptor::Send(const QDBusObjectPath &element_path, ushort destination, ushort key_index, const QVariantMap &options, const QByteArray &data)
{
    // handle method call org.bluez.mesh.Node1.Send
    parent()->Send(element_path, destination, key_index, options, data);
}

